Bug 142809 - Openoffice.org, when started as a normal user is able to cause the system to swap uncontrollably, requiring a reboot to resolve.
Openoffice.org, when started as a normal user is able to cause the system to ...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-14 07:27 EST by Xander D Harkness
Modified: 2016-06-07 18:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2004-12-14 07:27:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
When the automatic spelling checker is started in Openoffice.org it results in the system swapping uncontrollably.  So much so that it is not possible to terminate any of the the graphical applications, Ctrl+Alt+Backspace does not work to kill X and I am unable to log in via ssh or a virtual console to reduce the load.

The only solution is to reset the hardware and boot the system again.

The hardware is an X31 Laptop with 256Mb of RAM and 524Mb swap.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Openoffice.org and right click on a mis-spelled word, this should launch a list of similarly spelled words that are correctly spelled.
2. The system starts swapping and becomes unresponsive, the mouse is stuttery but does not affect any application
3. A hardware reset is required to recover the system.

Actual Results:  The operating system becomes unresponsive, it was left once for ten minutes and a few hours on another kernel and it would continue thrashing the disk.

Expected Results:  The misbehaving application should either be killed or the system remain responsive enough for user interaction to kill processes.

Additional info:

This is the bug against Openoffice.org relating to the spelling checker.

I have also heard from other people that they have been able to cause similar problems with evolution or with lots of "cutting and pasting"
Comment 1 Sitsofe Wheeler 2004-12-15 05:47:44 EST
This is a tricky problem. I suspect the system feels unresponsive because of the
sheer amounting of swaping that is going on (and laptop hard disks often have
low throughput so this would take an age). However until most of the swap is
exhausted the OOM killer won't normally come out. To stay responsive you would
have had to have had a very twitchy OOM killer or to have not allowed OOo to use
so much swap. You could try changing /proc/sys/vm/overcommit_ratio to a lower
number like 25 to see whether that halts OOo's growth quicker...
Comment 2 Dave Jones 2005-01-11 00:16:12 EST
This sounds more like an openoffice bug than a kernel bug.
You keep asking for memory, the kernel keeps giving it to you
(until you run out of swap, or resource limits kick in).

However, it's possible that you're seeing some inefficieny of the vm layer.
Is the current 2.6.10 update kernel any better ?
Comment 3 Havoc Pennington 2005-01-25 11:10:51 EST
See also this thread

I don't know that it's a kernel bug but I think it's an OS bug that a user app
can effectively shut down the OS for hours (or really, indefinitely; you could
*nearly* exhaust VM then just keep allocating and freeing random blocks).

By "OS bug" I mean we should at least be setting some userspace tunables or
providing some sort of watchdog to avoid this problem, if we can possibly think 
of a way.

Imagine a multiuser timeshare system, you wouldn't want any user to be able to
do this. And for an individual workstation, you never want an app bug to cause 
this state.
Comment 4 Dave Jones 2005-07-15 16:02:18 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:44:05 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.